From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/libva/
Date: Fri, 5 Jul 2019 08:41:22 +0000 (UTC) [thread overview]
Message-ID: <1562316078.6e07575e0c5c6a2f38010d442eb33bd26732c6d9.polynomial-c@gentoo> (raw)
commit: 6e07575e0c5c6a2f38010d442eb33bd26732c6d9
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 5 08:37:08 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jul 5 08:41:18 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e07575e
x11-libs/libva: Bump to version 2.4.1
Bump to EAPI-7
Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
x11-libs/libva/Manifest | 1 +
x11-libs/libva/libva-2.4.1.ebuild | 79 +++++++++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/x11-libs/libva/Manifest b/x11-libs/libva/Manifest
index 98c2c3ba9dc..3e777bcd8fa 100644
--- a/x11-libs/libva/Manifest
+++ b/x11-libs/libva/Manifest
@@ -4,3 +4,4 @@ DIST libva-2.1.0.tar.gz 214894 BLAKE2B 0e29d3de915ce44d90ac96bc2ead73725efc34163
DIST libva-2.2.0.tar.gz 218971 BLAKE2B c715f5f94cf25bcdf03be9ddeeb390fc073fe3fc7cea324e2f6da9bea490b14a99c41cf5f74d89fa3847c1357297d2c6faa877e76dce470319f532dc76d36f8a SHA512 0b026c99be2600a56833377a1cfd8efb736862dee942576d4d360b9844ace1efb21a2f1b9b1c2fabbbe4a9c483af24e47f31dd07516816acc8fa72e207f8cad4
DIST libva-2.3.0.tar.gz 222152 BLAKE2B 235cb4ba79eeac334163e32b51313f74506e54a7ca5693b81a2bf00eff1d5204ba630e32028dc02fb47268772d12032471d7d6d47e189318230e8a52cc940fcc SHA512 b328e7426bd5fb33a4ed4817d7a33fb104b1f524f5ca83f60349df66cff22e9cd46d40238d29d5bf527f32c7da153088525e43d50454832ac9b4b7fe0be40692
DIST libva-2.4.0.tar.bz2 455989 BLAKE2B 740460b5e23fc09dbb4de61dbe6c7d3820032d54d0ff9895d0a5e3235362e559e50d5349eab4c907367cef101f367256a9da3cf3a87526c444450f830b0ac4d6 SHA512 67373e20932bca0d52cd8f48ed10c1f01752be73642ad4d2c85dcee813dccf205c8ca62fdc69fb3f4f83a685e2a8ef2c6646174e3453a8f5763cac16a58321c3
+DIST libva-2.4.1.tar.bz2 456435 BLAKE2B 8500d5d234f6b5841611b7e46c9a729d8becaba0ce8311fe41cc6689339fb80ae665a974152c04c9b7ae5ce7693ed2549c3c0f284d8b21ecb25964745b6f43e1 SHA512 24af06e407c833f588e05e2be853bf004b0322d35ab35838ec2705c4158feb41e8ecc3a1b619fc291dfa7da49c8e17dd49993937624df0d4ed7ee2dbb90b1568
diff --git a/x11-libs/libva/libva-2.4.1.ebuild b/x11-libs/libva/libva-2.4.1.ebuild
new file mode 100644
index 00000000000..3a85df58500
--- /dev/null
+++ b/x11-libs/libva/libva-2.4.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Video Acceleration (VA) API for Linux"
+HOMEPAGE="https://01.org/linuxmedia/vaapi"
+
+if [[ ${PV} = *9999* ]] ; then # Live ebuild
+ inherit autotools git-r3
+ EGIT_BRANCH=master
+ EGIT_REPO_URI="https://github.com/intel/libva"
+ AUTOTOOLS_AUTORECONF="yes"
+else
+ SRC_URI="https://github.com/intel/libva/releases/download/${PV}/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1)"
+IUSE="+drm opengl utils vdpau wayland X"
+
+VIDEO_CARDS="nvidia intel i965 nouveau"
+for x in ${VIDEO_CARDS}; do
+ IUSE+=" video_cards_${x}"
+done
+
+RDEPEND="
+ >=x11-libs/libdrm-2.4.46[${MULTILIB_USEDEP}]
+ opengl? ( >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}] )
+ wayland? ( >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}] )
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXfixes-5.0.1[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+"
+PDEPEND="video_cards_nvidia? ( >=x11-libs/libva-vdpau-driver-0.7.4-r1[${MULTILIB_USEDEP}] )
+ video_cards_nouveau? ( >=x11-libs/libva-vdpau-driver-0.7.4-r3[${MULTILIB_USEDEP}] )
+ vdpau? ( >=x11-libs/libva-vdpau-driver-0.7.4-r1[${MULTILIB_USEDEP}] )
+ video_cards_intel? ( >=x11-libs/libva-intel-driver-2.0.0[${MULTILIB_USEDEP}] )
+ video_cards_i965? ( >=x11-libs/libva-intel-driver-2.0.0[${MULTILIB_USEDEP}] )
+ utils? ( media-video/libva-utils )
+"
+
+REQUIRED_USE="|| ( drm wayland X )
+ opengl? ( X )"
+
+DOCS=( NEWS )
+
+MULTILIB_WRAPPED_HEADERS=(
+/usr/include/va/va_backend_glx.h
+/usr/include/va/va_x11.h
+/usr/include/va/va_dri2.h
+/usr/include/va/va_dricommon.h
+/usr/include/va/va_glx.h
+)
+
+src_prepare() {
+ default
+ [[ "${PV}" == *9999* ]] && eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --with-drivers-path="${EPREFIX}/usr/$(get_libdir)/va/drivers"
+ $(use_enable opengl glx)
+ $(use_enable X x11)
+ $(use_enable wayland)
+ $(use_enable drm)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
next reply other threads:[~2019-07-05 8:41 UTC|newest]
Thread overview: 94+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-05 8:41 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-10-08 14:22 [gentoo-commits] repo/gentoo:master commit in: x11-libs/libva/ Matt Turner
2022-10-05 16:30 Matt Turner
2022-09-09 7:36 Agostino Sarubbo
2022-09-08 18:40 Jakov Smolić
2022-09-08 18:40 Jakov Smolić
2022-07-04 2:41 Matt Turner
2022-07-04 2:41 Matt Turner
2022-07-04 2:41 Matt Turner
2022-05-13 6:33 WANG Xuerui
2022-05-13 6:33 WANG Xuerui
2022-05-09 10:25 Jakov Smolić
2022-05-09 9:58 Jakov Smolić
2022-05-09 8:01 Jakov Smolić
2022-05-09 8:01 Jakov Smolić
2022-03-17 5:19 Matt Turner
2022-03-17 4:28 Matt Turner
2022-03-17 4:28 Matt Turner
2022-02-07 19:03 Matt Turner
2022-02-01 21:13 Arthur Zamarin
2022-01-20 14:30 Sam James
2022-01-20 2:45 Sam James
2022-01-20 2:45 Sam James
2021-12-24 4:02 Sam James
2021-12-10 23:00 Sam James
2021-11-24 2:06 Matt Turner
2021-11-22 8:05 Sam James
2021-11-20 7:28 Agostino Sarubbo
2021-11-20 7:26 Agostino Sarubbo
2021-11-08 23:37 Jason A. Donenfeld
2021-09-22 21:20 Sam James
2021-09-22 21:19 Sam James
2021-08-27 5:12 Agostino Sarubbo
2021-08-27 5:10 Agostino Sarubbo
2021-06-29 4:40 Sam James
2021-05-16 18:33 Georgy Yakovlev
2021-04-12 16:02 Sam James
2021-03-24 18:41 Rick Farina
2021-03-01 9:20 Agostino Sarubbo
2021-02-25 0:03 Sam James
2021-01-08 15:23 Sam James
2021-01-08 15:23 Sam James
2020-12-04 14:24 Mikle Kolyada
2020-10-23 10:51 Alexis Ballier
2020-10-01 11:13 Sam James
2020-09-24 6:59 Agostino Sarubbo
2020-09-24 6:46 Agostino Sarubbo
2020-07-06 8:40 Lars Wendler
2020-07-06 8:40 Lars Wendler
2020-05-14 12:14 Lars Wendler
2020-05-07 14:10 Lars Wendler
2020-01-22 5:41 Georgy Yakovlev
2020-01-22 5:41 Georgy Yakovlev
2020-01-20 12:33 Lars Wendler
2020-01-17 16:17 Lars Wendler
2019-09-13 17:19 Matt Turner
2019-08-13 10:53 Agostino Sarubbo
2019-08-13 9:17 Agostino Sarubbo
2019-08-13 0:36 Aaron Bauman
2019-07-09 13:13 Lars Wendler
2019-07-08 7:57 Lars Wendler
2019-07-08 7:57 Lars Wendler
2019-07-05 8:41 Lars Wendler
2019-05-15 13:54 Aaron Bauman
2019-02-21 16:06 Andreas Sturmlechner
2019-02-21 16:06 Andreas Sturmlechner
2019-02-21 16:06 Andreas Sturmlechner
2018-10-22 22:55 Luca Barbato
2018-07-17 7:20 Alexis Ballier
2018-07-17 7:20 Alexis Ballier
2018-02-15 5:52 Alexis Ballier
2018-02-15 5:52 Alexis Ballier
2018-02-15 5:52 Alexis Ballier
2017-12-16 5:42 Craig Andrews
2017-11-24 6:06 Matt Turner
2017-06-29 20:28 Alexis Ballier
2017-06-22 11:48 Alexis Ballier
2017-05-24 11:08 Alexis Ballier
2017-04-12 19:20 Alexis Ballier
2017-04-03 7:38 Alexis Ballier
2017-02-01 11:42 Alexis Ballier
2017-02-01 11:42 Alexis Ballier
2017-02-01 11:42 Alexis Ballier
2017-01-04 12:05 Alexis Ballier
2017-01-04 12:05 Alexis Ballier
2017-01-04 11:23 Agostino Sarubbo
2016-11-15 9:09 Alexis Ballier
2016-09-06 14:17 Alexis Ballier
2016-06-23 8:18 Alexis Ballier
2016-03-17 12:22 Alexis Ballier
2016-01-31 18:26 Pacho Ramos
2016-01-15 15:23 Agostino Sarubbo
2015-12-17 9:54 Alexis Ballier
2015-09-14 11:54 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1562316078.6e07575e0c5c6a2f38010d442eb33bd26732c6d9.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox